// XmlMemberGui_Boolean.h: interface for the CXmlMemberGui_Boolean class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_XMLMEMBERGUI_BOOLEAN_H_)
#define _XMLMEMBERGUI_BOOLEAN_H_

#include <map>
#include "XmlBaseElement.h"
#include "enums.h"

using namespace std;

class CXmlMemberGui_Boolean : public CXmlBaseElement
{
public:
	CXmlMemberGui_Boolean();
	virtual ~CXmlMemberGui_Boolean();

	// implementation of CXmlSerializable
	//
public:
	virtual bool BuildFromXml(IXMLDOMNode* node);
	virtual bool AppendToDOMDocument(IXMLDOMDocument2* xmlDoc, IXMLDOMElement* parentElement);	

	// attributes
	//
	static cmString GetXmlNodeName(){return _T("MemberGui_Boolean");}

	void SetDisplayMode(enBooleanMemberDisplayMode mode);
	enBooleanMemberDisplayMode GetDisplayMode() const;

	virtual void Clear();
	virtual void SetDefaults();

protected:
		
	enBooleanMemberDisplayMode displayMode_;

};

#endif // !defined(_XMLMEMBERGUI_BOOLEAN_H_)